package com.heyu.api.data.dao.ota;
/**
* <p>
* OTA固件版本信息表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.ota.OtaVersionInfoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface OtaVersionInfoDao extends BaseMapper<OtaVersionInfoEntity> {


	OtaVersionInfoEntity selectOtaVersionInfoById(@Param("id")Long id);


	Long insertOtaVersionInfo(OtaVersionInfoEntity otaVersionInfo);


	Long insertOrUpdateOtaVersionInfo(OtaVersionInfoEntity otaVersionInfo);


	int updateOtaVersionInfoById(OtaVersionInfoEntity otaVersionInfo);


	int updateCoverOtaVersionInfoById(OtaVersionInfoEntity otaVersionInfo);


	int deleteOtaVersionInfoById(@Param("id")Long id);


}